﻿using System.Windows.Forms;
using System.Text.RegularExpressions;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public bool kopierbereit = false;
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Enter(object sender, System.Windows.Forms.DragEventArgs e)
        {
            e.Effect = DragDropEffects.All;
        }

        private void Form1_Drop(object sender, System.Windows.Forms.DragEventArgs e)
        {
            string[] files = (string[])e.Data.GetData(DataFormats.FileDrop);
            if (kopierbereit)
            {
                foreach (string filer in files)
                {
                    string teilstring1 = filer;
                    string teilstring2 = filer;
                    teilstring1 = Regex.Replace(teilstring1, @"(\w:[\w\d\\!§\$%&\(\)=`´\{\}\[\]\^°#\+_\.,; -]+?\\)([\w\d!§\$%&\(\)=`´\{\}\[\]\^°#\+_\.,; -]+)(\.\w+$)", "$1");
                    teilstring2 = Regex.Replace(teilstring2, @"(\w:[\w\d\\!§\$%&\(\)=`´\{\}\[\]\^°#\+_\.,; -]+?\\)([\w\d!§\$%&\(\)=`´\{\}\[\]\^°#\+_\.,; -]+)(\.\w+$)", filename.Text + "$3");
                    File.Move(filer, teilstring1 + teilstring2);
                }
                kopierbereit = false;
                filename.Text = "Noch keine Datei gewählt.";
            }
            else
            {
                filename.Text = Regex.Replace(files[0], @"\w:[\w\d\\!§\$%&\(\)=`´\{\}\[\]\^°#\+_\.,; -]+?\\([\w\d!§\$%&\(\)=`´\{\}\[\]\^°#\+_\.,; -]+)\.\w+$", "$1");
                kopierbereit = true;
            }
        }
    }
}
